News:

Bored?  Looking to kill some time?  Want to chat with other SMF users?  Join us in IRC chat or Discord

Main Menu

SMF PHP 7.0 and MariaDB 10.1

Started by ufaforwork3, October 02, 2017, 09:36:10 AM

Previous topic - Next topic

ufaforwork3

Hi everyone,

My webhost has just sent me and email saying that PHP will soon be upgraded from 5.6 to the latest version of 7.0 and MySQL will be upgraded from 5.6.35 to the latest version of MariaDB 10.1.

So my question is, is SMF 2.0.14 compatible with PHP 7.0 and MariaDB 10.1?
If not for either one, what are if any, the changes that I need to make? hxxp:www.ufa88.com/%E0%B9%80%E0%B8%A5%E0%B9%88%E0%B8%99%E0%B8%84%E0%B8%B2%E0%B8%AA%E0%B8%B4%E0%B9%82%E0%B8%99%E0%B8%9A%E0%B8%99%E0%B8%A1%E0%B8%B7%E0%B8%AD%E0%B8%96%E0%B8%B7%E0%B8%AD [nonactive]

Thank you.

Arantor

It is compatible with PHP 7, compatibility with MariaDB is an ongoing process.
Perhaps it would have been better if I'd simply never bothered. Y'all clearly would be less unhappy that way.

a10

Zero problems with my host:

Current SMF version: SMF 2.0.14
GD version: bundled (2.1.0 compatible)
MySQL version: 10.1.26-MariaDB-1~xenial
PHP: 7.0.24
Server version: Apache

Only potential problem, some mods may need a php 7 update\fix.


2.0.19, php 7.4.29, MariaDB 10.3.34. Mods: Contact Page, Like Posts, Responsive Curve, Search Focus Dropdown, Add Join Date to Post.

Advertisement: